# MarketConfig

### disputePrice <a href="#disputeprice" id="disputeprice"></a>

Returns dispute price in Fore tokens

### disputePrice <a href="#disputeprice-1" id="disputeprice-1"></a>

Returns dispute period in seconds

### verificationPeriod <a href="#verificationperiod" id="verificationperiod"></a>

Returns verification period in seconds

### burnFee <a href="#burnfee" id="burnfee"></a>

Returns burn fee, where 1 = 0.01%

### foundationFee <a href="#foundationfee" id="foundationfee"></a>

Returns foundation fee, where 1 = 0.01%

### revenueFee <a href="#revenuefee" id="revenuefee"></a>

Returns revenue fee, where 1 = 0.01%

### marketCreatorFee <a href="#marketcreatorfee" id="marketcreatorfee"></a>

Returns market creator(market owner) fee, where 1 = 0.01%

### verificationFee <a href="#verificationfee" id="verificationfee"></a>

Returns verification fee, where 1 = 0.01%

### config <a href="#config" id="config"></a>

Returns all config valuesInput/OutputData TypeVariable NameCommentoutputuint256N/AdisputePriceoutputuint256N/AdisputePeriodoutputuint256N/AverificationPeriodoutputuint256N/AburnFeeoutputuint256N/AfoundationFeeoutputuint256N/ArevenueFeeoutputuint256N/AmarketCreatorFeeoutputuint256N/AverificationFee

### feesSum <a href="#feessum" id="feessum"></a>

Returns sum of all fees (1 = 0.01%)Input/OutputData TypeVariable NameCommentoutputuint256N/AfeesSum


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.foreprotocol.io/documentation/developers/smart-contracts/marketconfig.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
